play.classloading.enhancers

## Class Enhancer.ApplicationClassesClasspath

- java.lang.Object
- - play.classloading.enhancers.Enhancer.ApplicationClassesClasspath

All Implemented Interfaces:
  javassist.ClassPath

Enclosing class:
  Enhancer

    public static class Enhancer.ApplicationClassesClasspath
    extends java.lang.Object
    implements javassist.ClassPath

Dumb classpath implementation for javassist hacking

### Constructor Summary

Constructors
Constructor and Description
`ApplicationClassesClasspath()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.net.URL` `find(java.lang.String className)`
`java.io.InputStream` `openClassfile(java.lang.String className)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ApplicationClassesClasspath

    public ApplicationClassesClasspath()

### Method Detail

#### openClassfile

    public java.io.InputStream openClassfile(java.lang.String className)
                                      throws javassist.NotFoundException

Specified by:
  `openClassfile` in interface `javassist.ClassPath`
Throws:
  `javassist.NotFoundException`

#### find

    public java.net.URL find(java.lang.String className)

Specified by:
  `find` in interface `javassist.ClassPath`